► |  | Mr Lib: Extra GUI Libraries

1 | Aligned Pasteboard
2 | Bitmap Label
3 | Cache-image Snip
4 | Close Icon
5 | GIF and Animated GIF Writing
6 | Graphs
7 | Hierarchical List Control
8 | Include Bitmap
9 | Interactive Value Port
10 | Name Message
11 | Path Dialog
12 | Plot
13 | Switchable Button
14 | Image Core
15 | Matrix Snip
16 | Te X Table
17 | Terminal Window
18 | Acknowledgments
| Index

▼ | 7 | Hierarchical List Control

7.1 | hierarchical-list%
7.2 | hierarchical-list-item<%>
7.3 | hierarchical-list-compound-item<%>
7.4 | Snips in a hierarchical-list% Instance

On this page:

get-editor
is-selected?
select
click-select
user-data
get-clickable-snip
get-allow-selection?
set-allow-selection
get-parent

top ← prev up next →

> interface

> hierarchical-list-item<%> : interface?

Instantiate this interface via new-item.

> > method

> > (send a-hierarchical-list-item get-editor) → (is-a?/c text%)

Returns a text-editor buffer whose content is the display representation of the item. In other words, fill in this text editor to set the item’s label.

> > method

> > (send a-hierarchical-list-item is-selected?) → boolean?

Reports whether the item is selected.

> > method

> > (send a-hierarchical-list-item select on?) → void?

> on? : any/c
> (send a-hierarchical-list-item click-select on?) → void?
> on? : any/c

Calls select or click-select. The on? argument can be #f only if allow-deselect in hierarchical-list% allows it.

> > method

> > (send a-hierarchical-list-item user-data) → any/c

> (send a-hierarchical-list-item user-data data) → void?
> data : any/c

Gets/sets arbitrary data associated with the item.

> > method

> > (send a-hierarchical-list-item get-clickable-snip)

> → (is-a?/c snip%)

Returns the snip that (when clicked) selects this element the list. This method is intended for use with an automatic test suite.

> > method

> > (send a-hierarchical-list-item get-allow-selection?)

> → boolean?
> (send a-hierarchical-list-item set-allow-selection allow?)
> → void?
> allow? : any/c

Gets/sets whether this item is allowed to be selected.

> > method

> > (send a-hierarchical-list-item get-parent)

> → (or/c (is-a?/c hierarchical-list-compound-item<%>) #f)

Returns the compound list item that contains the item or #f if none exists.
top ← prev up next →